package turbowin;


import javax.swing.JOptionPane;

/*
 * mytwoswellsystems.java
 *
 * Created on 29 oktober 2008, 8:35
 */



/**
 *
 * @author  Martin
 */
final public class mytwoswellsystems extends javax.swing.JFrame {

    /** Creates new form mytwoswellsystems */
    public mytwoswellsystems() {
        initComponents();
        initComponents2();
        initSynopparameters();
        setLocation(main.x_pos_frame, main.y_pos_frame);
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
   // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
   private void initComponents() {

      jPanel1 = new javax.swing.JPanel();
      jTextField1 = new javax.swing.JTextField();
      jTextField2 = new javax.swing.JTextField();
      jTextField3 = new javax.swing.JTextField();
      jLabel3 = new javax.swing.JLabel();
      jLabel4 = new javax.swing.JLabel();
      jLabel5 = new javax.swing.JLabel();
      jLabel9 = new javax.swing.JLabel();
      jLabel10 = new javax.swing.JLabel();
      jLabel11 = new javax.swing.JLabel();
      jSeparator1 = new javax.swing.JSeparator();
      jButton1 = new javax.swing.JButton();
      jButton2 = new javax.swing.JButton();
      jButton3 = new javax.swing.JButton();
      jPanel2 = new javax.swing.JPanel();
      jLabel6 = new javax.swing.JLabel();
      jTextField4 = new javax.swing.JTextField();
      jLabel12 = new javax.swing.JLabel();
      jLabel13 = new javax.swing.JLabel();
      jTextField5 = new javax.swing.JTextField();
      jLabel7 = new javax.swing.JLabel();
      jLabel8 = new javax.swing.JLabel();
      jTextField6 = new javax.swing.JTextField();
      jLabel14 = new javax.swing.JLabel();
      jLabel2 = new javax.swing.JLabel();
      jLabel1 = new javax.swing.JLabel();
      jButton4 = new javax.swing.JButton();
      jButton5 = new javax.swing.JButton();
      jPanel3 = new javax.swing.JPanel();
      jLabel15 = new javax.swing.JLabel();
      jLabel16 = new javax.swing.JLabel();
      jLabel17 = new javax.swing.JLabel();
      jLabel18 = new javax.swing.JLabel();
      jLabel19 = new javax.swing.JLabel();
      jLabel20 = new javax.swing.JLabel();
      jLabel21 = new javax.swing.JLabel();
      jLabel22 = new javax.swing.JLabel();
      jLabel23 = new javax.swing.JLabel();
      jLabel24 = new javax.swing.JLabel();
      jLabel25 = new javax.swing.JLabel();
      jLabel26 = new javax.swing.JLabel();
      jLabel27 = new javax.swing.JLabel();
      jLabel28 = new javax.swing.JLabel();
      jLabel29 = new javax.swing.JLabel();
      jLabel30 = new javax.swing.JLabel();

      setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
      setTitle("Two swells discernable");
      setResizable(false);

      jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

      jLabel3.setText("direction (degr)");

      jLabel4.setText("period (sec)");

      jLabel5.setText("height (metres)");

      jLabel9.setText("[1 - 360]");

      jLabel10.setText("[1 - 50]");

      jLabel11.setText("[0.5 - 49.0]");

      javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
      jPanel1.setLayout(jPanel1Layout);
      jPanel1Layout.setHorizontalGroup(
         jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel1Layout.createSequentialGroup()
            .addGap(88, 88, 88)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel4, javax.swing.GroupLayout.Alignment.TRAILING)
               .addComponent(jLabel3, javax.swing.GroupLayout.Alignment.TRAILING)
               .addComponent(jLabel5))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel11)
               .addComponent(jLabel10)
               .addComponent(jLabel9))
            .addContainerGap(119, Short.MAX_VALUE))
      );

      jPanel1Layout.linkSize(javax.swing.SwingConstants.HORIZONTAL, new java.awt.Component[] {jTextField1, jTextField2, jTextField3});

      jPanel1Layout.setVerticalGroup(
         jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel1Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel9)
               .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel3))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel10)
               .addComponent(jTextField2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel4))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel11)
               .addComponent(jTextField3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel5))
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
      );

      jButton1.setText("OK");
      jButton1.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            OK_button_actionPerformed(evt);
         }
      });

      jButton2.setText("Cancel");
      jButton2.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Cancel_button_actionPerformed(evt);
         }
      });

      jButton3.setText("Internet");
      jButton3.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Internet_button_actionPerformed(evt);
         }
      });

      jPanel2.setBorder(javax.swing.BorderFactory.createEtchedBorder());

      jLabel6.setText("direction (degr)");

      jLabel12.setText("[1 - 360]");

      jLabel13.setText("[1 - 50]");

      jLabel7.setText("period (sec)");

      jLabel8.setText("height (metres)");

      jLabel14.setText("[0.5 - 49.0]");

      javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
      jPanel2.setLayout(jPanel2Layout);
      jPanel2Layout.setHorizontalGroup(
         jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel2Layout.createSequentialGroup()
            .addGap(84, 84, 84)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addComponent(jLabel7)
               .addComponent(jLabel6)
               .addComponent(jLabel8))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addGroup(jPanel2Layout.createSequentialGroup()
                  .addComponent(jTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jLabel14))
               .addGroup(jPanel2Layout.createSequentialGroup()
                  .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jLabel13))
               .addGroup(jPanel2Layout.createSequentialGroup()
                  .addComponent(jTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jLabel12)))
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
      );
      jPanel2Layout.setVerticalGroup(
         jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel2Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
               .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                  .addComponent(jLabel6)
                  .addComponent(jTextField4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
               .addComponent(jLabel12))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel7)
               .addComponent(jTextField5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel13))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jLabel8)
               .addComponent(jTextField6, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jLabel14))
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
      );

      jLabel2.setText("2nd swell system");

      jLabel1.setText("1st swell system");

      jButton4.setText("Back");
      jButton4.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Back_button_actionPerformed(evt);
         }
      });

      jButton5.setText("Stop");
      jButton5.addActionListener(new java.awt.event.ActionListener() {
         public void actionPerformed(java.awt.event.ActionEvent evt) {
            Stop_button_actionPerformed(evt);
         }
      });

      jPanel3.setBorder(javax.swing.BorderFactory.createEtchedBorder());

      jLabel15.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel15.setForeground(new java.awt.Color(0, 0, 255));
      jLabel15.setText("meter         feet");

      jLabel16.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel16.setForeground(new java.awt.Color(0, 0, 255));
      jLabel16.setText("1               3");

      jLabel17.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel17.setForeground(new java.awt.Color(0, 0, 255));
      jLabel17.setText("2               7");

      jLabel18.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel18.setForeground(new java.awt.Color(0, 0, 255));
      jLabel18.setText("3               10");

      jLabel19.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel19.setForeground(new java.awt.Color(0, 0, 255));
      jLabel19.setText("4               13");

      jLabel20.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel20.setForeground(new java.awt.Color(0, 0, 255));
      jLabel20.setText("5               16");

      jLabel21.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel21.setForeground(new java.awt.Color(0, 0, 255));
      jLabel21.setText("6               20");

      jLabel22.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel22.setForeground(new java.awt.Color(0, 0, 255));
      jLabel22.setText("7               23");

      jLabel23.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel23.setForeground(new java.awt.Color(0, 0, 255));
      jLabel23.setText("8               26");

      jLabel24.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel24.setForeground(new java.awt.Color(0, 0, 255));
      jLabel24.setText("9               30");

      jLabel25.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel25.setForeground(new java.awt.Color(0, 0, 255));
      jLabel25.setText("10             33");

      jLabel26.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel26.setForeground(new java.awt.Color(0, 0, 255));
      jLabel26.setText("11             36");

      jLabel27.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel27.setForeground(new java.awt.Color(0, 0, 255));
      jLabel27.setText("12             40");

      jLabel28.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel28.setForeground(new java.awt.Color(0, 0, 255));
      jLabel28.setText("13             43");

      jLabel29.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel29.setForeground(new java.awt.Color(0, 0, 255));
      jLabel29.setText("14             46");

      jLabel30.setFont(new java.awt.Font("Tahoma", 0, 10)); // NOI18N
      jLabel30.setForeground(new java.awt.Color(0, 0, 255));
      jLabel30.setText("15             50");

      javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
      jPanel3.setLayout(jPanel3Layout);
      jPanel3Layout.setHorizontalGroup(
         jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel3Layout.createSequentialGroup()
            .addContainerGap()
            .addGroup(jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addComponent(jLabel24, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel15, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel16, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel17, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel18, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel19, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel20, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel21, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel22, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel23, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel25, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel26, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel27, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel28, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel29, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
               .addComponent(jLabel30, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addContainerGap())
      );
      jPanel3Layout.setVerticalGroup(
         jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(jPanel3Layout.createSequentialGroup()
            .addGap(4, 4, 4)
            .addComponent(jLabel15)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
            .addComponent(jLabel16)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel17)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel18)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel19)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel20)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel21)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel22)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel23)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel24, javax.swing.GroupLayout.PREFERRED_SIZE, 14, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel25)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(jLabel26)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel27)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel28)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel29)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addComponent(jLabel30)
            .addContainerGap())
      );

      javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
      getContentPane().setLayout(layout);
      layout.setHorizontalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(layout.createSequentialGroup()
            .addContainerGap()
            .addComponent(jSeparator1)
            .addContainerGap())
         .addGroup(layout.createSequentialGroup()
            .addGap(160, 160, 160)
            .addComponent(jButton4, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(18, 18, 18)
            .addComponent(jButton5, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
         .addGroup(layout.createSequentialGroup()
            .addGap(178, 178, 178)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addGroup(layout.createSequentialGroup()
                  .addComponent(jLabel1)
                  .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
               .addGroup(layout.createSequentialGroup()
                  .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                     .addGroup(layout.createSequentialGroup()
                        .addComponent(jLabel2)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                     .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                           .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                           .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addGap(29, 29, 29)))
                  .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addGap(71, 71, 71))))
      );
      layout.setVerticalGroup(
         layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
         .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
            .addGap(41, 41, 41)
            .addComponent(jLabel1)
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
               .addGroup(layout.createSequentialGroup()
                  .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                  .addGap(66, 66, 66)
                  .addComponent(jLabel2)
                  .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                  .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
               .addComponent(jPanel3, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 39, Short.MAX_VALUE)
            .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
            .addGap(15, 15, 15)
            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
               .addComponent(jButton4, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton1, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton2, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton3, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE)
               .addComponent(jButton5, javax.swing.GroupLayout.PREFERRED_SIZE, 25, javax.swing.GroupLayout.PREFERRED_SIZE))
            .addGap(15, 15, 15))
      );

      pack();
   }// </editor-fold>//GEN-END:initComponents



/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void initComponents2()
{
   // hide Back/Stop buttons if not in next_screen_mode
   if (main.in_next_sequence == false)
   {
      jButton4.setEnabled(false);                         // back button
      jButton5.setEnabled(false);                         // stop button
   }


   if (main.offline_mode == true)
   {
      jButton3.setText("Help");
   }
}




/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void OK_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OK_button_actionPerformed
// TODO add your handling code here:
        
   // initialisation 
   Reset_All_Two_Swell_Vars();
      
   // get text from inserted fields
   mywaves.swell_1_dir       = jTextField1.getText().trim();
   mywaves.swell_1_period    = jTextField2.getText().trim();   
   mywaves.swell_1_height    = jTextField3.getText().trim();
   mywaves.swell_2_dir       = jTextField4.getText().trim();
   mywaves.swell_2_period    = jTextField5.getText().trim();   
   mywaves.swell_2_height    = jTextField6.getText().trim();
 
   
   /* 
   //////////////// checks
   */
      
   // convert collected (string) values to ints and floats
      
   // swell 1
   try 
   {
      int_swell_1_dir = Integer.parseInt(mywaves.swell_1_dir.trim());
   }
   catch (NumberFormatException e){/* ... */}
      
   try 
   {
      int_swell_1_period = Integer.parseInt(mywaves.swell_1_period.trim());
   }
   catch (NumberFormatException e){/* ... */}
        
   try 
   {
      float_swell_1_height = Float.parseFloat(mywaves.swell_1_height.trim());
   }
   catch (NumberFormatException e){/* ... */}
      
      
   // swell 2
   try 
   {
      int_swell_2_dir = Integer.parseInt(mywaves.swell_2_dir.trim());
   }
   catch (NumberFormatException e){/* ... */}
      
   try 
   {
      int_swell_2_period = Integer.parseInt(mywaves.swell_2_period.trim());
   }
   catch (NumberFormatException e){/* ... */}
        
   try 
   {
      float_swell_2_height = Float.parseFloat(mywaves.swell_2_height.trim());
   }
   catch (NumberFormatException e){/* ... */}
      
   
   
   //
   // 1st swell system checks
   //
   if ((mywaves.swell_1_dir.trim().length() > 0) && 
       (int_swell_1_dir < 1 || int_swell_1_dir > 360 || int_swell_1_dir == main.INVALID))
   {
      JOptionPane.showMessageDialog(null, "1st swell system direction must be in range 1 - 360 (no decimals) or blank", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
      Reset_All_Two_Swell_Vars();
   }

   else if ((mywaves.swell_1_period.trim().length() > 0) && 
            (int_swell_1_period < 1 || int_swell_1_period > 50 || int_swell_1_period == main.INVALID))
   {
      JOptionPane.showMessageDialog(null, "1st swell period must be in range 1 - 50 (no decimals) or blank", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
      Reset_All_Two_Swell_Vars();
   }
      
   else if ((mywaves.swell_1_height.trim().length() > 0) && 
            (float_swell_1_height < 0.5 || float_swell_1_height > 49.0 || float_swell_1_height == main.INVALID))
   {
      JOptionPane.showMessageDialog(null, "1st swell height must be in range 0.5 - 49.0 or blank", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
      Reset_All_Two_Swell_Vars();
   }
  
      
   // 
   // 2nd swell system checks
   //
   else if ((mywaves.swell_2_dir.trim().length() > 0) && 
            (int_swell_2_dir < 1 || int_swell_2_dir > 360 || int_swell_2_dir == main.INVALID))
   {
      JOptionPane.showMessageDialog(null, "2nd swell system direction must be in range 1 - 360 (no decimals) or blank", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
      Reset_All_Two_Swell_Vars();
   }

   else if ((mywaves.swell_2_period.trim().length() > 0) && 
            (int_swell_2_period < 1 || int_swell_2_period > 50 || int_swell_2_period == main.INVALID))
   {
      JOptionPane.showMessageDialog(null, "2nd swell period must be in range 1 - 50 (no decimals) or blank", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
      Reset_All_Two_Swell_Vars();
   }
      
   else if ((mywaves.swell_2_height.trim().length() > 0) && 
            (float_swell_2_height < 0.5 || float_swell_2_height > 49.0 || float_swell_2_height == main.INVALID))
   {
      JOptionPane.showMessageDialog(null, "2nd swell height must be in range 0.5 - 49.0 or blank", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
      Reset_All_Two_Swell_Vars();
   }
   else
   {
       checks_ok = true;
   }
      
   
   
   //
   ///////////// consistency checks
   //
   if (checks_ok == true)
   {   
      if ((mywaves.swell_1_dir.trim().length() > 0) && (mywaves.swell_1_period.trim().length() > 0) && (mywaves.swell_1_height.trim().length() > 0) &&
          (mywaves.swell_2_dir.trim().length() > 0) && (mywaves.swell_2_period.trim().length() > 0) && (mywaves.swell_2_height.trim().length() > 0) &&
          (int_swell_1_dir == int_swell_2_dir) && (int_swell_1_period == int_swell_2_period) && (float_swell_1_height == float_swell_2_height))
      {
         JOptionPane.showMessageDialog(null, "The two swell systems can never be exactly the same for direction, period and height", main.APPLICATION_NAME + " error", JOptionPane.WARNING_MESSAGE);
         Reset_All_Two_Swell_Vars();
      }        
   
   } // if (checks_ok == true)

   
   
   
      
   /*
   ///////////// determine meteorological code figures
   */
   if (checks_ok == true)
   {   
      //////// swell 1 direction
      if (mywaves.swell_1_dir.trim().length() == 0)                                   // nothing inserted
      {
         mywaves.Dw1_code = "//";
      }
      else if (mywaves.swell_1_dir.trim().equals("confused"))
      {
         mywaves.Dw1_code = "99";
      }   
      else if (mywaves.swell_1_dir.trim().equals("no swell"))
      {
         mywaves.Dw1_code = "00";
      }   
      else
      {   
         // nb in this stage always in whole degrees (otherwise earlier error message) 
            
         // round to tens of degrees
         // e.g. 359 -> Dw1 = 36
         // e.g.   4 -> Dw1 = 36
         // e.g.  88 -> Dw1 = 09
            
         if ((int_swell_1_dir >= 1) && (int_swell_1_dir <= 4))
         {
            mywaves.Dw1_code = "36";
         }
         else
         {
            int num_Dw1_code = (int_swell_1_dir + 5) / 10;                    // or (alternative): int num_Dw1_code = (int)Math.floor(((float)(int_swell_1_dir + 5)) / 10); 
            mywaves.Dw1_code = Integer.toString(num_Dw1_code);                        // convert to string
               
            // Dw1 code always 2 characters width e.g. 03
            int len = 2;
            if (mywaves.Dw1_code.length() < len)                                      // pad on left with zeros
               mywaves.Dw1_code = "0000000000".substring(0, len - mywaves.Dw1_code.length()) + mywaves.Dw1_code;
         } // else
      } // else
          
         
      //////// swell 1 period
      if (mywaves.swell_1_period.trim().length() == 0)                                // nothing inserted
      {
         mywaves.Pw1_code = "//";
      }
      else if (mywaves.swell_1_period.trim().equals("confused"))
      {
         mywaves.Pw1_code = "//";
      }   
      else
      {   
         // nb in this stage always in whole seconds (otherwise earlier error message) 
         mywaves.Pw1_code = Integer.toString(int_swell_1_period);                     // convert to string
            
         // Pw1 code always 2 characters width e.g. 03
         int len = 2;
         if (mywaves.Pw1_code.length() < len)                                         // pad on left with zeros
            mywaves.Pw1_code = "0000000000".substring(0, len - mywaves.Pw1_code.length()) + mywaves.Pw1_code;
      } // else
         
         
      //////// swell 1 height
      if (mywaves.swell_1_height.trim().length() == 0)                             // nothing inserted
      {
         mywaves.Hw1_code = "//";
      }
      else if (mywaves.swell_1_height.trim().equals("confused"))
      {
         mywaves.Hw1_code = "//";
      }   
      else
      {   
         // round to units of 0.5 metres
            
         // e.g. 2.2 metres -> Hw1 = 4 units of 0.5 metres
         // e.g. 2.3 metres -> Hw1 = 5 units of 0.5 metres
            
         int num_Hw1_code = (int)Math.floor(float_swell_1_height * 2 + 0.5);
         mywaves.Hw1_code = Integer.toString(num_Hw1_code);     // convert to string      // or (alternative): Hw1_code = String.valueOf(num_Hw1_code);
            
         // Hw1 code always 2 characters width e.g. 03
         int len = 2;
         if (mywaves.Hw1_code.length() < len)                                            // pad on left with zeros
            mywaves.Hw1_code = "0000000000".substring(0, len - mywaves.Hw1_code.length()) + mywaves.Hw1_code;
      } // else
          
        
      //////// swell 2 direction
      if (mywaves.swell_2_dir.trim().length() == 0)                                   // nothing inserted
      {
         mywaves.Dw2_code = "//";
      }
      else if (mywaves.swell_2_dir.trim().equals("confused"))
      {
         mywaves.Dw2_code = "99";
      }   
      else if (mywaves.swell_2_dir.trim().equals("no swell"))
      {
         mywaves.Dw2_code = "00";
      }   
      else
      {   
         // nb in this stage always in whole degrees (otherwise earlier error message) 
            
         // round to tens of degrees
         // e.g. 359 -> Dw1 = 36
         // e.g.   4 -> Dw1 = 36
         // e.g.  88 -> Dw1 = 09
            
         if ((int_swell_2_dir >= 1) && (int_swell_2_dir <= 4))
         {
            mywaves.Dw2_code = "36";
         }
         else
         {
            int num_Dw2_code = (int_swell_2_dir + 5) / 10;                    // or (alternative): int num_Dw2_code = (int)Math.floor(((float)(int_swell_2_dir + 5)) / 10); 
            mywaves.Dw2_code = Integer.toString(num_Dw2_code);                        // convert to string
               
            // Dw2 code always 2 characters width e.g. 03
            int len = 2;
            if (mywaves.Dw2_code.length() < len)                                      // pad on left with zeros
               mywaves.Dw2_code = "0000000000".substring(0, len - mywaves.Dw2_code.length()) + mywaves.Dw2_code;
         } // else
      } // else
          
         
      //////// swell 2 period
      if (mywaves.swell_2_period.trim().length() == 0)                                // nothing inserted
      {
         mywaves.Pw2_code = "//";
      }
      else if (mywaves.swell_2_period.trim().equals("confused"))
      {
         mywaves.Pw2_code = "//";
      }   
      else
      {   
         // nb in this stage always in whole seconds (otherwise earlier error message) 
         mywaves.Pw2_code = Integer.toString(int_swell_2_period);                     // convert to string
            
         // Pw2 code always 2 characters width e.g. 03
         int len = 2;
         if (mywaves.Pw2_code.length() < len)                                         // pad on left with zeros
            mywaves.Pw2_code = "0000000000".substring(0, len - mywaves.Pw2_code.length()) + mywaves.Pw2_code;
      } // else
         
         
      //////// swell 2 height
      if (mywaves.swell_2_height.trim().length() == 0)                             // nothing inserted
      {
         mywaves.Hw2_code = "//";
      }
      else if (mywaves.swell_2_height.trim().equals("confused"))
      {
         mywaves.Hw2_code = "//";
      }   
      else
      {   
         // round to units of 0.5 metres
            
         // e.g. 2.2 metres -> Hw2 = 4 units of 0.5 metres
         // e.g. 2.3 metres -> Hw2 = 5 units of 0.5 metres
            
         int num_Hw2_code = (int)Math.floor(float_swell_2_height * 2 + 0.5);
         mywaves.Hw2_code = Integer.toString(num_Hw2_code);     // convert to string      // or (alternative): Hw2_code = String.valueOf(num_Hw2_code);
            
         // Hw2 code always 2 characters width e.g. 03
         int len = 2;
         if (mywaves.Hw2_code.length() < len)                                            // pad on left with zeros
            mywaves.Hw2_code = "0000000000".substring(0, len - mywaves.Hw2_code.length()) + mywaves.Hw2_code;
      } // else
         
   } // if (checks_ok == true)  
      
   
      
   if (checks_ok == true)
   {
      /* waves velden op hoofdscherm overzicht updaten */
      main.waves_fields_update();

      /* close this input page */
      setVisible(false);
      dispose();

       /* next screen if in_next_screen mode */
      if (main.in_next_sequence == true)
      {
         next_screen();
      }

   } // if (checks_ok == true)
    
   
}//GEN-LAST:event_OK_button_actionPerformed


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void Cancel_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Cancel_button_actionPerformed
// TODO add your handling code here:
   setVisible(false);
   dispose();

   if (main.in_next_sequence == true)
   {
      next_screen();
   }
}//GEN-LAST:event_Cancel_button_actionPerformed


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void Internet_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Internet_button_actionPerformed
   // TODO add your handling code here:
   main.help_mouseClicked(WAVES_HELP_DIR);
}//GEN-LAST:event_Internet_button_actionPerformed


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void Back_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Back_button_actionPerformed
   // TODO add your handling code here:
   setVisible(false);
   dispose();

   previous_screen();
}//GEN-LAST:event_Back_button_actionPerformed


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void Stop_button_actionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Stop_button_actionPerformed
   // TODO add your handling code here:
   setVisible(false);
   dispose();

   main.in_next_sequence = false;
}//GEN-LAST:event_Stop_button_actionPerformed


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void Reset_All_Two_Swell_Vars()
{
   // scope this module + myturbowin.java main module (all of type: static)
   mywaves.swell_1_dir                = "";
   mywaves.swell_1_period             = "";
   mywaves.swell_1_height             = "";
   mywaves.swell_2_dir                = "";
   mywaves.swell_2_period             = "";   
   mywaves.swell_2_height             = "";
   mywaves.Dw1_code                   = "";
   mywaves.Pw1_code                   = "";
   mywaves.Hw1_code                   = "";
   mywaves.Dw2_code                   = "";
   mywaves.Pw2_code                   = "";
   mywaves.Hw2_code                   = "";
      
   // local var's with initialisation
   float_swell_1_height               = main.INVALID;               // could become e.g. 2.5 (-> use float)
   float_swell_2_height               = main.INVALID;               // could become e.g. 2.5 (-> use float)
   int_swell_1_dir                    = main.INVALID;
   int_swell_1_period                 = main.INVALID;
   int_swell_2_dir                    = main.INVALID;
   int_swell_2_period                 = main.INVALID;
   checks_ok                          = false;

   /* update wave fields on main (progress)screen */
   main.waves_fields_update();
}
 
/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void initSynopparameters()
{
   // put back earlier inserted values (but not 'confused' which could be inserted before on the confused swell input page and 'no swell')
      
   // 1st swell system
   if ((mywaves.swell_1_dir.compareTo("") != 0) && (mywaves.swell_1_dir.compareTo("confused") != 0) && (mywaves.swell_1_dir.compareTo("no swell") != 0) )
      jTextField1.setText(mywaves.swell_1_dir); 
      
   if ((mywaves.swell_1_period.compareTo("") != 0) && (mywaves.swell_1_period.compareTo("confused") != 0)  && (mywaves.swell_1_period.compareTo("no swell") != 0) )
      jTextField2.setText(mywaves.swell_1_period); 
    
   if ((mywaves.swell_1_height.compareTo("") != 0) && (mywaves.swell_1_height.compareTo("confused") != 0)  && (mywaves.swell_1_height.compareTo("no swell") != 0) )
      jTextField3.setText(mywaves.swell_1_height); 
     
   // 2nd swell system
   if (mywaves.swell_2_dir.compareTo("") != 0)        // 'confused'/'no swell not possible even not via confused swell input screen'/main swell input screen (no swell radiobutton)
      jTextField4.setText(mywaves.swell_2_dir); 
      
   if (mywaves.swell_2_period.compareTo("") != 0)
      jTextField5.setText(mywaves.swell_2_period); 
    
   if (mywaves.swell_2_height.compareTo("") != 0)
      jTextField6.setText(mywaves.swell_2_height); 
}        




/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void next_screen()
{
   myvisibility form = new myvisibility();
   form.setSize(800, 600);
   form.setVisible(true);
}


/***********************************************************************************************/
/*                                                                                             */
/*                                                                                             */
/*                                                                                             */
/***********************************************************************************************/
private void previous_screen()
{
   mywaves form = new mywaves();
   form.setSize(800, 600);
   form.setVisible(true);
}





    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
         @Override
            public void run() {
                new mytwoswellsystems().setVisible(true);
            }
        });
    }

   // Variables declaration - do not modify//GEN-BEGIN:variables
   private javax.swing.JButton jButton1;
   private javax.swing.JButton jButton2;
   private javax.swing.JButton jButton3;
   private javax.swing.JButton jButton4;
   private javax.swing.JButton jButton5;
   private javax.swing.JLabel jLabel1;
   private javax.swing.JLabel jLabel10;
   private javax.swing.JLabel jLabel11;
   private javax.swing.JLabel jLabel12;
   private javax.swing.JLabel jLabel13;
   private javax.swing.JLabel jLabel14;
   private javax.swing.JLabel jLabel15;
   private javax.swing.JLabel jLabel16;
   private javax.swing.JLabel jLabel17;
   private javax.swing.JLabel jLabel18;
   private javax.swing.JLabel jLabel19;
   private javax.swing.JLabel jLabel2;
   private javax.swing.JLabel jLabel20;
   private javax.swing.JLabel jLabel21;
   private javax.swing.JLabel jLabel22;
   private javax.swing.JLabel jLabel23;
   private javax.swing.JLabel jLabel24;
   private javax.swing.JLabel jLabel25;
   private javax.swing.JLabel jLabel26;
   private javax.swing.JLabel jLabel27;
   private javax.swing.JLabel jLabel28;
   private javax.swing.JLabel jLabel29;
   private javax.swing.JLabel jLabel3;
   private javax.swing.JLabel jLabel30;
   private javax.swing.JLabel jLabel4;
   private javax.swing.JLabel jLabel5;
   private javax.swing.JLabel jLabel6;
   private javax.swing.JLabel jLabel7;
   private javax.swing.JLabel jLabel8;
   private javax.swing.JLabel jLabel9;
   private javax.swing.JPanel jPanel1;
   private javax.swing.JPanel jPanel2;
   private javax.swing.JPanel jPanel3;
   private javax.swing.JSeparator jSeparator1;
   private javax.swing.JTextField jTextField1;
   private javax.swing.JTextField jTextField2;
   private javax.swing.JTextField jTextField3;
   private javax.swing.JTextField jTextField4;
   private javax.swing.JTextField jTextField5;
   private javax.swing.JTextField jTextField6;
   // End of variables declaration//GEN-END:variables
   
   
    
   // constants only this module
   //private final int INVALID                      = 9999999;
   private final String WAVES_HELP_DIR            = "waves.pdf";

   // scope only this module (no static)
   private float float_swell_1_height             = main.INVALID;   // could become e.g. 2.5 (-> use float)
   private float float_swell_2_height             = main.INVALID;   // could become e.g. 2.5 (-> use float)
   private int int_swell_1_dir                    = main.INVALID;
   private int int_swell_1_period                 = main.INVALID;
   private int int_swell_2_dir                    = main.INVALID;
   private int int_swell_2_period                 = main.INVALID;
   private boolean checks_ok                      = false;

}
